/* $RCSfile: project.cxx,v $
 * $Revision: 1.1 $ $Date: 2003/03/25 19:31:11 $
 * Auth: Dave Loffredo (loffredo@steptools.com)
 * 
 * Copyright (c) 1991-2003 by STEP Tools Inc. 
 * All Rights Reserved.
 * 
 * This file is part of the STIX Library
 * 
 * This file may be distributed and/or modified under the terms of 
 * the GNU General Public License version 2 as published by the Free
 * Software Foundation and appearing in the file LICENSE.GPL included
 * with this file.
 * 
 * THIS FILE IS PROVIDED "AS IS" WITH NO WARRANTY OF ANY KIND,
 * INCLUDING THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE.
 * 
 * STEP Tools Inc. also offers licenses for commercial use of this
 * software in non-GPL applications.  Contact info@steptools.com for
 * terms and pricing.
 * 
 * 		----------------------------------------
 */

#include <rose.h>
#include <integrated_cnc_schema.h>
#include "stix_imp.h"


/* ==================================================
 * Project Functions
 */
product_definition * get_project_workpiece (product * p)
{
    StixProject * idx = get_project_idx(p);

    /* look for product definition relationship with name of workpiece */
    /* gotta find pdefs related to this */
    if (!idx || !idx->m_workpiece_pdr) 
	return 0;

    return idx->m_workpiece_pdr-> related_product_definition();
}


machining_workplan * get_project_workplan (product * p)
{
    StixProject * idx = get_project_idx(p);
    return (idx? idx->m_workplan: 0);
}

